Skip to main content
General

Create document from template

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/create-from-template

Creates a new document based on the template with the given UUID.

Note: When a provided signatory's email corresponds to an existing user in the current fynk account, the signatory will be linked to that user. Any additional fields (first_name, last_name, mobile_phone, title) will be ignored and the signatory information will be populated from the existing user's profile.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
dynamic_field_valuesobjectrequired

Initial values for the document's dynamic fields. Each key must identify a dynamic field on the template by either its ref_uuid or its name. Values accept the same format as the Update dynamic field endpoint.

initial_stageenum<string> | null

If set, the document will be moved to this stage after creation. The default is draft. Depending on the template, moving to signing may require that the dynamic_field_values, parties and/or signatories fields are also provided.

Available options: draft, signing
Example: signing
namestring | null

The new document's name. If omitted, the name of the template will be used as the new document's name

Maximum string length: 255
Example: Kundenvertrag Muster GmbH
owner_emailsstring[]

Email addresses of the user(s) from your account who should be given ownership of the new document

partiesobject[]

Party data to update on document creation, keyed by the party's ref_uuid, reference, or entity_name from the template.

signatoriesobject[][]

Signatories to add to the document on creation, keyed by their party's ref_uuid, reference, or entity_name from the template. Signatories provided here are added to the new document in addition to any signatories defined in the source template. If an email corresponds to an existing user in the current fynk account, the signatory will be linked to that user and first_name, last_name, mobile_phone and title will be populated from the user's profile.

template_uuidstringrequired

UUID of the template to use as a basis for the new document

Response

application/json

DocumentDetailResource

dataobjectrequired